﻿namespace VehicleRental.API.Models
{
    using System.Runtime.Serialization;
    using VehicleRental.Models;

    [DataContract]
    public class VehicleCreateModel
    {
        [DataMember(Name = "placeId")]
        public int PlaceId { get; set; }

        [DataMember(Name = "fee")]
        public decimal Fee { get; set; }

        [DataMember(Name = "manufacturer")]
        public string Manufacturer { get; set; }

        [DataMember(Name = "model")]
        public string Model { get; set; }

        [DataMember(Name = "pricePerHour")]
        public decimal PricePerHour { get; set; }

        [DataMember(Name = "type")]
        public VehicleType Type { get; set; }

        [DataMember(Name = "year")]
        public int Year { get; set; }

        [DataMember(Name = "imageSource")]
        public string ImageSource { get; set; }
    }
}