﻿namespace VehicleRental.API.Models
{
    using System.Collections.Generic;
    using System.Runtime.Serialization;
    using VehicleRental.Models;

    [DataContract]
    public class PlaceCreateModel
    {

        [DataMember(Name = "title")]
        public string Title { get; set; }

        [DataMember(Name = "latitude")]
        public decimal Latitude { get; set; }

        [DataMember(Name = "longitude")]
        public decimal Longitude { get; set; }

        [DataMember(Name = "address")]
        public string Address { get; set; }

        [DataMember(Name = "description")]
        public string Description { get; set; }

        [DataMember(Name = "imageSource")]
        public string ImageSource { get; set; }

        [DataMember(Name = "supportedVehicleTypes")]
        public ICollection<VehicleRental.Models.VehicleType> SupportedVehicleTypes { get; set; }

        [DataMember(Name = "vehicles")]
        public ICollection<VehicleModel> Vehicles { get; set; }
    }
}